# Essential Stuff

## Html import links

Google font

``` html
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;500;600;700&display=swap" rel="stylesheet">
```

Ionicon

``` html
<script type="module" src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"></script>
<script nomodule src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>
```

---

## Colors

### Background color

``` css
--bg-dark-purple: hsla(260, 62%, 11%, 1);
--bg-russian-violet: hsla(259, 61%, 14%, 1);
--bg-vivid-violet: hsla(273, 100%, 55%, 1);
--bg-sunglow: hsla(43, 100%, 61%, 1);
--bg-blue-jeans: hsla(202, 100%, 50%, 1);
--bg-white-alpha-10: hsla(0, 0%, 100%, 0.1);
```

### Text color

``` css
--text-white: hsla(0, 0%, 100%, 1);
--text-black: hsla(0, 0%, 0%, 1);
--text-sunglow: hsla(43, 100%, 61%, 1);
--text-white-alpha-60: hsla(0, 0%, 100%, 0.6);
```

### Border color

``` css
--border-blue-jeans: hsla(202, 100%, 50%, 1);
--border-white-alpha-10: hsla(0, 0%, 100%, 0.1);
```

## Typography

``` css
--fontFamily-open-sans: 'Open Sans', sans-serif;

--fontSize-1: 4rem;
--fontSize-2: 3.2rem;
--fontSize-3: 2.4rem;
--fontSize-4: 2rem;
--fontSize-5: 1.8rem;
--fontSize-6: 1.6rem;
--fontSize-7: 1.4rem;

--weight-regular: 400;
--weight-medium: 500;
--weight-semiBold: 600;
--weight-bold: 700;
```

## Spacing

``` css
--section-spacing: 100px;
```

## Shadow

``` css
--shadow-1: drop-shadow(0 20px 30px hsla(0, 0%, 0%, 0.1));
--shadow-2: drop-shadow(0 20px 30px hsla(0, 0%, 0%, 0.2));
```

## Border Radius

``` css
--radius-24: 24px;
--radius-40: 40px;
--radius-pill: 500px;
```

## Transition

``` css
--transition-1: 250ms ease;
--transition-2: 500ms ease;
--cubic-out: cubic-bezier(0, 1, 0.5, 1);
```
